2017 © Pedro Peláez
 

composer-plugin installers

A multi-framework Composer library installer

image

composer/installers

A multi-framework Composer library installer

  • Thursday, April 5, 2018
  • by Seldaek
  • Repository
  • 47 Watchers
  • 936 Stars
  • 12,915,344 Installations
  • PHP
  • 4849 Dependents
  • 20 Suggesters
  • 352 Forks
  • 24 Open issues
  • 32 Versions
  • 8 % Grown

The README.md

A Multi-Framework Composer Library Installer

Build Status, (*1)

This is for PHP package authors to require in their composer.json. It will install their package to the correct location based on the specified package type., (*2)

The goal of Installers is to be a simple package type to install path map. Users can also customize the install path per package and package authors can modify the package name upon installing., (*3)

Installers isn't intended on replacing all custom installers. If your package requires special installation handling then by all means, create a custom installer to handle it., (*4)

Natively Supported Frameworks:, (*5)

The following frameworks natively work with Composer and will be installed to the default vendor directory. composer/installers is not needed to install packages with these frameworks:, (*6)

  • Aura
  • Symfony2
  • Yii
  • Yii2

Current Supported Package Types

Stable types are marked as bold, this means that installation paths for those type will not be changed. Any adjustment for those types would require creation of brand new type that will cover required changes., (*7)

Framework Types
Aimeos aimeos-extension
Asgard asgard-module
asgard-theme
Attogram attogram-module
AGL agl-module
Bonefish bonefish-package
AnnotateCms annotatecms-module
annotatecms-component
annotatecms-service
Bitrix bitrix-module (deprecated)
bitrix-component (deprecated)
bitrix-theme (deprecated)

bitrix-d7-module
bitrix-d7-component
bitrix-d7-template
CakePHP 2+ cakephp-plugin
Chef chef-cookbook
chef-role
CiviCrm civicrm-ext
CCFramework ccframework-ship
ccframework-theme
Cockpit cockpit-module
CodeIgniter codeigniter-library
codeigniter-third-party
codeigniter-module
concrete5 concrete5-core
concrete5-package
concrete5-theme
concrete5-block
concrete5-update
Craft craft-plugin
Croogo croogo-plugin
croogo-theme
Decibel decibel-app
Dframe dframe-module
DokuWiki dokuwiki-plugin
dokuwiki-template
Dolibarr dolibarr-module
Drupal drupal-core
drupal-module
drupal-theme

drupal-library
drupal-profile
drupal-drush
drupal-custom-theme
drupal-custom-module
Elgg elgg-plugin
Eliasis eliasis-component
eliasis-module
eliasis-plugin
eliasis-template
ExpressionEngine 3 ee3-addon
ee3-theme
eZ Platform ezplatform-assets
ezplatform-meta-assets
FuelPHP v1.x fuel-module
fuel-packagebr/fuel-theme
FuelPHP v2.x fuelphp-component
Grav grav-plugin
grav-theme
Hurad hurad-plugin
hurad-theme
ImageCMS imagecms-template
imagecms-module
imagecms-library
iTop itop-extension
Joomla joomla-component
joomla-module
joomla-template
joomla-plugin
joomla-library
Kanboard kanboard-plugin
Kirby kirby-plugin
kirby-field
kirby-tag
Known known-plugin
known-theme
known-console
KodiCMS kodicms-plugin
kodicms-media
Kohana kohana-module
Lan Management System lms-plugin
lms-template
lms-document-template
lms-userpanel-module
Laravel laravel-library
Lavalite lavalite-theme
lavalite-package
Lithium lithium-library
lithium-source
Magento magento-library
magento-skin
magento-theme
majima majima-plugin
Mako mako-package
Mautic mautic-plugin
mautic-theme
Maya maya-module
MODX modx-extra
MODX Evo modxevo-snippet
modxevo-plugin
modxevo-module
modxevo-template
modxevo-lib
MediaWiki mediawiki-extension
October october-module
october-plugin
october-theme
OntoWiki ontowiki-extension
ontowiki-theme
ontowiki-translation
OXID oxid-module
oxid-theme
oxid-out
Osclass osclass-plugin
osclass-theme
osclass-language
MODULEWork modulework-module
Moodle moodle-* (Please check source for all supported types)
Piwik piwik-plugin
phpBB phpbb-extension
phpbb-style
phpbb-language
Pimcore pimcore-plugin(deprecated, only used for versions <= 4)
Plentymarkets plentymarkets-plugin
PPI ppi-module
Puppet puppet-module
Porto porto-container
RadPHP radphp-bundle
REDAXO redaxo-addon
REDAXO bestyle-plugin redaxo-bestyle-plugin
REDAXO V5.* redaxo5-addon
REDAXO V5.* bestyle-plugin redaxo5-bestyle-plugin
ReIndex reindex-plugin
reindex-theme
Roundcube roundcube-plugin
shopware shopware-backend-pluginbr/shopware-core-pluginbr/shopware-frontend-pluginbr/shopware-themebr/shopware-pluginbr/shopware-frontend-theme
SilverStripe silverstripe-module
silverstripe-theme
SiteDirect sitedirect-module
sitedirect-plugin
SMF smf-module
smf-theme
SyDES sydes-module
sydes-theme
symfony1 symfony1-plugin
TAO tao-extension
Tusk tusk-task
tusk-command
tusk-asset
TYPO3 Flow typo3-flow-package
typo3-flow-framework
typo3-flow-plugin
typo3-flow-site
typo3-flow-boilerplate
typo3-flow-build
TYPO3 CMS typo3-cms-extension (Deprecated in this package, use the TYPO3 CMS Installers instead)
UserFrosting userfrosting-sprinkle
Vanilla vanilla-plugin
vanilla-theme
Vgmcp vgmcp-bundle
vgmcp-theme
WHMCS whmcs-addons
whmcs-fraud
whmcs-gateways
whmcs-notifications
whmcs-registrars
whmcs-reports
whmcs-security
whmcs-servers
whmcs-social
whmcs-support
whmcs-templates
whmcs-includes
Wolf CMS wolfcms-plugin
WordPress wordpress-plugin
wordpress-theme

wordpress-muplugin
wordpress-dropin
YAWIK yawik-module
Zend zend-library
zend-extra
zend-module
Zikula zikula-module
zikula-theme
Prestashop prestashop-module
prestashop-theme
Phifty phifty-bundle
phifty-framework
phifty-library

Example composer.json File

This is an example for a CakePHP plugin. The only important parts to set in your composer.json file are "type": "cakephp-plugin" which describes what your package is and "require": { "composer/installers": "~1.0" } which tells composer to load the custom installers., (*8)

{
    "name": "you/ftp",
    "type": "cakephp-plugin",
    "require": {
        "composer/installers": "~1.0"
    }
}

This would install your package to the Plugin/Ftp/ folder of a CakePHP app when a user runs php composer.phar install., (*9)

So submit your packages to packagist.org!, (*10)

Custom Install Paths

If you are consuming a package that uses the composer/installers you can override the install path with the following extra in your composer.json:, (*11)

{
    "extra": {
        "installer-paths": {
            "your/custom/path/{$name}/": ["shama/ftp", "vendor/package"]
        }
    }
}

A package type can have a custom installation path with a type: prefix., (*12)

``` json { "extra": { "installer-paths": { "your/custom/path/{$name}/": ["type:wordpress-plugin"] } } }, (*13)


You can also have the same vendor packages with a custom installation path by using the `vendor:` prefix. ``` json { "extra": { "installer-paths": { "your/custom/path/{$name}/": ["vendor:my_organization"] } } }

These would use your custom path for each of the listed packages. The available variables to use in your paths are: {$name}, {$vendor}, {$type}., (*14)

Custom Install Names

If you're a package author and need your package to be named differently when installed consider using the installer-name extra., (*15)

For example you have a package named shama/cakephp-ftp with the type cakephp-plugin. Installing with composer/installers would install to the path Plugin/CakephpFtp. Due to the strict naming conventions, you as a package author actually need the package to be named and installed to Plugin/Ftp. Using the following config within your package composer.json will allow this:, (*16)

{
    "name": "shama/cakephp-ftp",
    "type": "cakephp-plugin",
    "extra": {
        "installer-name": "Ftp"
    }
}

Please note the name entered into installer-name will be the final and will not be inflected., (*17)

Disabling installers

There may be time when you want to disable one or more installers from composer/installers. For example, if you are managing a package or project that uses a framework specific installer that conflicts with composer/installers but also have a dependency on a package that depends on composer/installers., (*18)

Installers can be disabled for your project by specifying the extra installer-disable property. If set to true, "all", or "*" all installers will be disabled., (*19)

{
    "extra": {
        "installer-disable": true
    }
}

Otherwise a single installer or an array of installers may be specified., (*20)

{
    "extra": {
        "installer-disable": [
            "cakephp",
            "drupal"
        ]
    }
}

Note: Using a global disable value (true, "all", or "*") will take precedence over individual installer names if used in an array. The example below will disable all installers., (*21)

{
    "extra": {
        "installer-disable": [
          "drupal",
          "all"
        ]
    }
}

Should we allow dynamic package types or paths? No.

What are they? The ability for a package author to determine where a package will be installed either through setting the path directly in their composer.json or through a dynamic package type: "type": "framework-install-here"., (*22)

It has been proposed many times. Even implemented once early on and then removed. Installers won't do this because it would allow a single package author to wipe out entire folders without the user's consent. That user would then come here to yell at us., (*23)

Anyone still wanting this capability should consider requiring https://github.com/oomphinc/composer-installers-extender., (*24)

The Versions

05/04 2018

dev-master

9999999-dev https://composer.github.io/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Requires

  • composer-plugin-api ^1.0

 

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik modx agl aimeos joomla magento mako kohana phpbb annotatecms porto elgg lithium shopware hurad attogram puppet itop craft ez platform cockpit ppi moodle roundcube chef croogo dokuwiki modulework zikula expressionengine modx evo oxid wolfcms lavalite dolibarr smf grav thelia radphp sydes reindex mautic yawik imagecms plentymarkets kanboard maya eliasis osclass lan management system majima pxcms

29/12 2017

v1.5.0

1.5.0.0 https://composer.github.io/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Requires

  • composer-plugin-api ^1.0

 

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik modx agl aimeos joomla magento mako kohana phpbb annotatecms porto elgg lithium shopware hurad attogram puppet itop craft ez platform cockpit ppi moodle roundcube chef croogo dokuwiki modulework zikula expressionengine modx evo oxid wolfcms lavalite dolibarr smf grav thelia radphp sydes reindex mautic yawik imagecms plentymarkets kanboard maya eliasis osclass lan management system majima pxcms

09/08 2017

v1.4.0

1.4.0.0 https://composer.github.io/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Requires

  • composer-plugin-api ^1.0

 

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl aimeos joomla magento mako kohana phpbb annotatecms porto elgg lithium shopware hurad attogram puppet itop craft ez platform cockpit ppi moodle roundcube chef croogo dokuwiki modulework zikula expressionengine modx evo oxid wolfcms lavalite dolibarr smf grav thelia radphp sydes reindex mautic yawik imagecms plentymarkets kanboard maya eliasis osclass lan management system

24/04 2017

v1.3.0

1.3.0.0 https://composer.github.io/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Requires

  • composer-plugin-api ^1.0

 

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl aimeos joomla magento mako kohana phpbb annotatecms porto elgg lithium shopware hurad attogram puppet itop craft cockpit ppi moodle roundcube chef croogo dokuwiki modulework zikula expressionengine modx evo oxid wolfcms lavalite dolibarr smf grav thelia radphp sydes reindex mautic yawik imagecms plentymarkets kanboard maya eliasis

13/08 2016

v1.2.0

1.2.0.0 https://composer.github.io/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Requires

  • composer-plugin-api ^1.0

 

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl aimeos joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad attogram puppet craft cockpit ppi moodle roundcube chef croogo dokuwiki modulework zikula expressionengine modx evo oxid wolfcms dolibarr smf grav thelia radphp reindex mautic yawik imagecms plentymarkets

05/07 2016

v1.1.0

1.1.0.0 https://composer.github.io/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Requires

  • composer-plugin-api ^1.0

 

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl aimeos joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube chef croogo dokuwiki modulework zikula expressionengine modx evo oxid wolfcms dolibarr smf grav thelia radphp mautic imagecms

13/04 2016

v1.0.25

1.0.25.0 https://composer.github.io/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Requires

  • composer-plugin-api ^1.0

 

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl aimeos joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube chef croogo dokuwiki modulework zikula modx evo oxid wolfcms dolibarr smf grav thelia mautic imagecms

05/04 2016

v1.0.24

1.0.24.0 https://composer.github.io/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Requires

  • composer-plugin-api ^1.0

 

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl aimeos joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube chef croogo dokuwiki modulework zikula modx evo oxid wolfcms dolibarr smf grav thelia mautic imagecms

27/01 2016

v1.0.23

1.0.23.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Requires

  • composer-plugin-api ^1.0

 

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl aimeos joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube chef croogo dokuwiki modulework zikula modx evo oxid wolfcms dolibarr smf grav thelia

30/10 2015

v1.0.22

1.0.22.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Requires

  • composer-plugin-api 1.0.0

 

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl aimeos joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube chef croogo dokuwiki modulework zikula modx evo oxid wolfcms dolibarr smf grav thelia

18/02 2015

v1.0.21

1.0.21.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl aimeos joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube chef croogo dokuwiki modulework zikula modx evo oxid wolfcms dolibarr smf grav thelia

11/01 2015

v1.0.20

1.0.20.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube chef croogo dokuwiki modulework zikula modx evo oxid wolfcms dolibarr smf grav thelia

29/11 2014

v1.0.19

1.0.19.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube chef croogo dokuwiki modulework zikula modx evo oxid wolfcms dolibarr grav thelia

18/08 2014

v1.0.18

1.0.18.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube chef croogo modulework zikula modx evo oxid wolfcms dolibarr

17/08 2014

v1.0.17

1.0.17.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube chef croogo modulework zikula modx evo oxid wolfcms dolibarr

21/07 2014

v1.0.16

1.0.16.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad puppet craft ppi moodle roundcube croogo modulework zikula modx evo oxid wolfcms dolibarr

23/06 2014

v1.0.15

1.0.15.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad craft ppi moodle roundcube croogo modulework zikula modx evo oxid wolfcms dolibarr

18/06 2014

v1.0.14

1.0.14.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp bitrix typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad craft ppi moodle roundcube croogo modulework zikula modx evo oxid wolfcms dolibarr

09/04 2014

v1.0.13

1.0.13.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad craft ppi croogo modulework zikula modx evo oxid wolfcms

24/02 2014

v1.0.12

1.0.12.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad craft ppi croogo modulework zikula modx evo oxid wolfcms

12/02 2014

v1.0.11

1.0.11.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad craft ppi croogo modulework zikula modx evo oxid

31/01 2014

v1.0.10

1.0.10.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad craft ppi croogo modulework zikula modx evo oxid

27/01 2014

v1.0.9

1.0.9.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp typo3 zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 mediawiki piwik agl joomla magento mako kohana phpbb annotatecms elgg lithium shopware hurad ppi croogo modulework zikula modx evo oxid

24/12 2013

v1.0.8

1.0.8.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 agl joomla mako kohana phpbb typo3 cms elgg lithium li3 ppi modulework typo3 flow typo3 neos

24/10 2013

v1.0.7

1.0.7.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp zend installer symfony codeigniter drupal silverstripe fuelphp concrete5 agl joomla mako kohana phpbb typo3 cms lithium li3 ppi modulework typo3 flow typo3 neos

20/08 2013

v1.0.6

1.0.6.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp zend installer symfony codeigniter drupal silverstripe fuelphp agl joomla mako kohana phpbb typo3 cms lithium li3 ppi modulework typo3 flow typo3 neos

07/08 2013

v1.0.5

1.0.5.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp zend installer symfony codeigniter drupal silverstripe fuelphp agl joomla mako kohana phpbb lithium li3 ppi modulework typo3 flow typo3 neos

20/06 2013

v1.0.4

1.0.4.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp zend installer symfony codeigniter drupal silverstripe fuelphp agl joomla mako kohana phpbb lithium li3 ppi modulework typo3 flow typo3 neos

02/03 2013

v1.0.3

1.0.3.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp zend installer symfony yii codeigniter drupal silverstripe fuelphp agl joomla mako kohana phpbb lithium li3 ppi typo3 flow typo3 neos

18/02 2013

v1.0.2

1.0.2.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp zend installer symfony codeigniter drupal silverstripe fuelphp agl joomla mako kohana phpbb lithium li3 ppi typo3 flow typo3 neos

14/01 2013

v1.0.1

1.0.1.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp zend installer symfony codeigniter drupal silverstripe fuelphp agl joomla mako kohana phpbb lithium li3 ppi typo3 flow typo3 neos

08/09 2012

v1.0.0

1.0.0.0 http://composer.github.com/installers/

A multi-framework Composer library installer

  Sources   Download

MIT

The Development Requires

wordpress laravel cakephp zend installer symfony codeigniter drupal silverstripe fuelphp joomla mako kohana phpbb lithium li3 ppi